# Get listing Cubicasa information.

Get listing Cubicasa information.

Endpoint: GET /listings/{listing_id}/cubi-casa
Version: 1.0.0
Security: Token

## Path parameters:

  - `listing_id` (string, required)
    The ID of a listing. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Response 200 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "success"

  - `data` (object)
    A Cubicasa floorplan.

  - `data.current_sync` (string,null, required)
    The Cubicasa current sync public ID.
    Example: "1234567890"

  - `data.results` (array, required)

  - `data.results.full_address` (string, required)
    The full address.
    Example: "10 Rockefeller Plaza, New York, NY 10020"

  - `data.results.city` (string, required)
    The city.
    Example: "New York"

  - `data.results.county` (string, required)
    The county.
    Example: "United States"

  - `data.results.latitude` (number, required)
    The latitude.
    Example: 40.758044

  - `data.results.longitude` (number, required)
    The longitude.
    Example: -73.979479

  - `data.results.number` (string, required)
    The number.
    Example: "10"

  - `data.results.postalCode` (string, required)
    The postal code.
    Example: "10020"

  - `data.results.state` (string, required)
    The state.
    Example: "NY"

  - `data.results.street` (string, required)
    The street.
    Example: "Rockefeller Plaza"

  - `data.results.suite` (string, required)
    The suite.
    Example: "Apt 100"

  - `data.results.public_id` (string, required)
    The public ID.
    Example: "d7c378b1-2b02-4f97-8624-90f2fa154d42"

  - `data.results.status` (string, required)
    The status.
    Example: "Ready"

  - `data.results.jpg_urls` (array, required)
    The JPG URLs.
    Example: ["https://www.afakedomain.com/10-rockefeller-plaza-new-york-ny-united-states_0_0.jpg"]

  - `data.show_all` (boolean, required)
    Show all results.
    Example: true

  - `data.suggested` (object,null, required)
    The suggested (floorplan) results.

  - `timestamp` (string,null)
    The request timestamp (ISO 8601).
    Example: "2021-06-30T20:30:00Z"

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


